Subject: Re: [PATCH v2 01/17] contrib: remove outdated README

From: Felipe Contreras <[email-masked]>
Date: Fri, 09 May 2014 16:54:03 -0500

Junio C Hamano wrote:
> Felipe Contreras <[email-masked]> writes:
> 
> > There is no guideline as for what should be part of contrib.
> >
> > Some tools are actively maintained, others consist of a single commit.
> > Some tools have active user-base, some aren't used by anyone. Some tools
> > are on the path towards the core, others will never get there. Some
> > tools are already out-of-tree and simply mirrored, others probably
> > wouldn't survive out-of-tree. Some tools are production-ready, others
> > don't even run. Some tools have tests, most don't.
> >
> > Junio has explained that he wrote this a long time ago, when Git was a
> > different beast, now this no longer applies.
> >
> > The only way to find out if a tool belongs in contrib or not is to as
> > Junio.
> >
> > Cc: Junio C Hamano <[email-masked]>
> > Signed-off-by: Felipe Contreras <[email-masked]>
> > ---
> 
> This is wrong.
> 
> The reason I suggested splitting remote-hg out of my tree does not

This particular patch has nothing to do with remote-hg.

> have anything to do with "removal of disused and inactive" described
> in the document.  As written elsewhere, it was a response to
> 
>     http://thread.gmane.org/gmane.comp.version-control.git/248063/focus=248457
> 
> where you said
> 
>     I don't want to do anything for a "contrib" tool.

You are once more twisting the sequence of events.

*First* you blocked any progres towards graduation 2014-05-06, even
though I told you what John Keeping argued wasn't going to happen.

  http://thread.gmane.org/gmane.comp.version-control.git/247660/focus=248242

*After* that I decided not touch git-remote-hg/bzr on your tree any more
2014-05-08.

  http://thread.gmane.org/gmane.comp.version-control.git/248063/focus=248457

Do not attempt to construe the consequence as the cause. You caused it.

-- 
Felipe Contreras